package components

// Some general types

type rect struct {
	x int
	y int
	w int
	h int
}

type RectGetter interface {
	GetPos() (int, int)
	GetSize() (int, int)
}

type RectSetter interface {
	SetPos(x, y int)
	SetSize(w, h int)
}
